package javax.swing.plaf.synth;

import javax.swing.AbstractButton;
import java.awt.Graphics;
import javax.swing.plaf.ComponentUI;
import javax.swing.JComponent;

public class SynthToggleButtonUI extends SynthButtonUI
{
    public SynthToggleButtonUI() {
    }
    
    public static ComponentUI createUI(JComponent component) {
        return new SynthToggleButtonUI();
    }
    
    @Override
    protected String getPropertyPrefix() {
        return "ToggleButton.";
    }
    
    @Override
    void paintBackground(SynthContext synthContext, Graphics graphics, JComponent component) {
        if (((AbstractButton)component).isContentAreaFilled()) {
            synthContext.getPainter().paintToggleButtonBackground(synthContext, graphics, 0, 0, component.getWidth(), component.getHeight());
        }
    }
    
    @Override
    public void paintBorder(SynthContext synthContext, Graphics graphics, int n, int n2, int n3, int n4) {
        synthContext.getPainter().paintToggleButtonBorder(synthContext, graphics, n, n2, n3, n4);
    }
}
